CVE-2001-1053
CVSS10.0
发布时间 :2001-07-13 00:00:00
修订时间 :2008-09-10 15:09:35
NMCO    

[原文]AdLogin.pm in AdCycle 1.15 and earlier allows remote attackers to bypass authentication and gain privileges by injecting SQL code in the $password argument.


[CNNVD]AdCycle AdLogin.pm提升特权漏洞(CNNVD-200107-084)

        AdCycle 1.15以及之前版本AdLogin.pm存在漏洞。远程攻击者通过在$password参数中注入SQL代码绕过认证并提升特权。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:adcycle:adcycle:1.14
cpe:/a:adcycle:adcycle:0.77b
cpe:/a:adcycle:adcycle:0.78b
cpe:/a:adcycle:adcycle:1.13
cpe:/a:adcycle:adcycle:0.77
cpe:/a:adcycle:adcycle:1.12
cpe:/a:adcycle:adcycle:1.0
cpe:/a:adcycle:adcycle:1.15

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1053
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1053
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200107-084
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/6837.php
(VENDOR_ADVISORY)  XF  adcycle-insert-sql-command(6837)
http://www.securityfocus.com/bid/3032
(VENDOR_ADVISORY)  BID  3032
http://archives.neohapsis.com/archives/bugtraq/2001-07/0249.html
(VENDOR_ADVISORY)  BUGTRAQ  20010713 AdCycle SQL Command Insertion Vulnerability - qDefense Advisory Number QDAV-2001-7-2
http://www.adcycle.com/cgi-bin/download.cgi?type=UNIX&version=1.17
(UNKNOWN)  CONFIRM  http://www.adcycle.com/cgi-bin/download.cgi?type=UNIX&version=1.17

- 漏洞信息

AdCycle AdLogin.pm提升特权漏洞
危急 未知
2001-07-13 00:00:00 2005-05-02 00:00:00
远程  
        AdCycle 1.15以及之前版本AdLogin.pm存在漏洞。远程攻击者通过在$password参数中注入SQL代码绕过认证并提升特权。

- 公告与补丁

        

- 漏洞信息

1903
AdCycle AdLogin.pm password Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

AdCycle contains a flaw that may allow a remote attacker to inject arbitrary SQL queries. The issue is due to the 'password' variable in the 'AdLogin.pm' module not being properly sanitized and may allow a remote attacker to inject or manipulate SQL queries.

- 时间线

2001-07-16 2001-01-01
2001-07-16 Unknow

- 解决方案

Upgrade to version 1.16 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站